Bug 116396

Summary: editors/openoffice.org-2: cannot find file for class org.apache.xml.s
Product: Ports & Packages Reporter: soralx <soralx>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description soralx 2007-09-16 13:20:01 UTC
Among other gazillion problems encountered during openoffice.org-2 biuld is this error:

-------------
/ad16s1d/openoffice.org-2/work/OOF680_m18/filter/source/xsltfilter
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: $(FIND) . -name "{$(subst,$($(WINVERSIONNAMES)_MAJOR),* $(subst,$(UPD)$(DLLPOSTFIX), $(SHL1TARGET)))}.xml"
Making dpj...
dmake: Executing shell macro: +$(STARDEP) @$(mktmp -o $@ -i $(CLASSDIR) $(foreach,i,$(JAVADEPINCLUDES:s/:/ /) -i $i) $(JAVACLASSFILES))
...
/usr/local/lib/jvm/java-gcj41/bin/gcj --encoding=UTF-8 -O2 -fno-assert -Wno-deprecated -C -classpath ".:../../unxfbsdi.pro/class::/ad16s1d/openoffice.org-2/work/OOF680_m18/solver/680/unxfbsdi.pro/bin/ridl.jar:/ad16s1d/openoffice.org-2/work/OOF680_m18/solver/680/unxfbsdi.pro/bin/unoil.jar:/ad16s1d/openoffice.org-2/work/OOF680_m18/solver/680/unxfbsdi.pro/bin/jurt.jar:/ad16s1d/openoffice.org-2/work/OOF680_m18/solver/680/unxfbsdi.pro/bin/juh.jar:/ad16s1d/openoffice.org-2/work/OOF680_m18/solver/680/unxfbsdi.pro/bin/xalan.jar:/ad16s1d/openoffice.org-2/work/OOF680_m18/solver/680/unxfbsdi.pro/bin/xercesImpl.jar:/ad16s1d/openoffice.org-2/work/OOF680_m18/solver/680/unxfbsdi.pro/bin/xml-apis.jar" -d ../../unxfbsdi.pro/class  XSLTransformer.java  XSLTFilterOLEExtracter.java XSLTXalanOLEExtracter.java
XSLTXalanOLEExtracter.java: In class 'XSLTXalanOLEExtracter':
XSLTXalanOLEExtracter.java: In method 'XSLTXalanOLEExtracter.init(org.apache.xalan.extensions.XSLProcessorContext,org.apache.xalan.templates.ElemExtensionCall)':
XSLTXalanOLEExtracter.java:52: error: cannot find file for class org.apache.xml.serializer.SerializerTrace
XSLTXalanOLEExtracter.java:52: error: cannot find file for class org.apache.xml.serializer.SerializerTrace
dmake:  Error code 1, while making '../../unxfbsdi.pro/misc/XSLTFilter_dummy.java'
'---* tg_merge.mk *---'

ERROR: Error 65280 occurred while making /ad16s1d/openoffice.org-2/work/OOF680_m18/filter/source/xsltfilter
dmake:  Error code 1, while making 'build_instsetoo_native'
'---*  *---'
*** Error code 255

Stop in /ad16s1d/openoffice.org-2.

Fix: 

`pushd work/OOF680_m18/filter/source/xsltfilter/`
	`find /ad16s1d/openoffice.org-2 -name 'serializer.jar' -print`
	Then add this obtained path to the .jar to a XCLASSPATH variable in 'makefile.mk', e.g.: XCLASSPATH+=":/ad16s1d/openoffice.org-2/work/OOF680_m18/xalan/download/serializer.jar". Restart make in ports/openoffice.org-2/.
How-To-Repeat: 	Make sure you have WITH_GNUGCJ=yes, then try compiling openoffice.org-2 from ports as of 2007-09-15. Chances are, you'll encounter at least 2 problems before it gets to this stage (those I didn't file PR for as I didn't take care to log them and also the hacks that I employed).
Comment 1 Edwin Groothuis freebsd_committer 2007-09-16 22:17:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer
Comment 2 soralx 2007-09-23 04:24:59 UTC
> http://www.freebsd.org/cgi/query-pr.cgi?pr=116396
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       openoffice.org-2: cannot find file for class
> >org.apache.xml.s Arrival-Date:   Sun Sep 16 12:20:01 GMT 2007

this can be closed now: newest OpenOffice in ports (2.3.0) builds
quite nicely

[SorAlx]  ridin' VS1400
Comment 3 Maho Nakata freebsd_committer 2007-10-03 01:27:55 UTC
State Changed
From-To: open->closed

I removed WITH_GNUGCJ option because maintaining this is very 
hard. Thanks for your report.